LLM-readable documentation index
ApiV3GeneratedEntity Curation

Update Entity

Hand off to an LLM
PATCH
/v3/entities/{id}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

id*string

Entity public ID (ent_...). A merged-away id resolves to its survivor.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.bem.ai/v3/entities/string" \  -H "Content-Type: application/json" \  -d '{    "status": "approved"  }'
{
  "entityID": "string",
  "canonical": "string",
  "type": "string",
  "description": "string",
  "mentionCount": 0,
  "surfaceForms": [
    "string"
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "status": "extracted",
  "typeID": "string",
  "validatedAt": "2019-08-24T14:15:22Z",
  "validatedByUserID": "string"
}